Modules | Alphabetical List | Class List | Directories | File List | File Members | GIL Home Page # equal_n_fn< planar_pixel_iterator< IC, Cs >, planar_pixel_iterator< IC, Cs > > Struct Template Reference `#include <algorithm.hpp>` List of all members. ## Detailed Description ### template<typename IC, typename Cs> struct boost::gil::detail::equal_n_fn< planar_pixel_iterator< IC, Cs >, planar_pixel_iterator< IC, Cs > > EqualPixels Equal when both ranges are planar pointers of the same type. memcmp is invoked for each channel plane User-defined channels that are not bitwise comparable need to provide an overload
## Public Member Functions
GIL_FORCEINLINE bool | operator() (const planar_pixel_iterator< IC, Cs > i1, std::ptrdiff_t n, const planar_pixel_iterator< IC, Cs > i2) const
The documentation for this struct was generated from the following file: algorithm.hpp